Annonce

Écrire une réponse

Veuillez écrire votre message et l'envoyer

Cliquez dans la zone sombre de l'image pour envoyer votre message.

Retour

Résumé de la discussion (messages les plus récents en premier)

Korben
2009-05-03 19:38:00

ha okok
je comprends un peu mieux now.
Merci pour ces infos.

ddtddt
2009-05-03 19:27:32

Tu n'utilises qu'un seul template celui que tu as créé.

Pour les problèmes de IE et l'utilisation de hacks CSS google et bien meilleur que moi ;-)

Quand tu écris dans ton template

<!--[if IE 7]>
Rien que pour IE version 7 ! Parce que les autres navigateurs interprètent ceci comme un commentaire.
<![endif]-->

Si le navigateur est IE8, il ne lit pas ce qu'il y a et utilise le CSS standard de Piwigo
si le le navigateur est IE7, il lira le css spécifique pour IE7 soit template/yoga/fix-ie7.css qui est spécifique pour IE7

Korben
2009-05-03 11:16:04

OK donc si je comprends bien ce que tu dis,
Un fichier appelle différents Template en fonction de leur version, donc :
- 1 template pour IE6
- 1 template pour IE7
- 1 template pour IE8 (nouvellement créé)

C'est ça ? Mais en fait je n'ai fait que de créer le template IE8 et je n'ai rien modifié dans le config alors comment celui qui appelle les template sait que c'est ce template là qu'il doit appeler ? Et comment il fait pour le découvrir ?
Euh tu vois ce que je veux dire ??
J'ai donc laisser par défaut les IE6 et IE7 et ajouter IE8.
Je sais je doit etre un peu chiant mais j'aime comprendre ce que je fais et n'aime pas rester dans l'erreur.

ddtddt
2009-05-03 07:24:27

Korben a écrit:

OK Je me doutais qu'il n'y avait que IE8 qui posait pb mais je me demandais si la création du template que je viens de mettre en place n'affectera pas les version 6 et 7 comme d'après ce que j'avais compris (mais j'ai peut être mal compris) qu'il y a un template par version d'IE (tout du moins une recherche de version d'IE dans les Template)
Enfin, vous voyez ce que je veux dire ?? (euh j'espère car moi-même je me suis un peu perdu dans mon commentaire) ! LOL

En fait IE ne respecte pas le standard et gère à sa sauce le css. (mais IE8 s'améliore un peu)

Donc pour IE il faut ajouter des règles de CSS en appelant des fichiers spéciaux suivant les version de IE.

Il n'y as qu'un seule template qui appelle ou non des fichiers css suivant la version de IE que tu uilises

Korben
2009-05-02 23:16:24

OK Je me doutais qu'il n'y avait que IE8 qui posait pb mais je me demandais si la création du template que je viens de mettre en place n'affectera pas les version 6 et 7 comme d'après ce que j'avais compris (mais j'ai peut être mal compris) qu'il y a un template par version d'IE (tout du moins une recherche de version d'IE dans les Template)
Enfin, vous voyez ce que je veux dire ?? (euh j'espère car moi-même je me suis un peu perdu dans mon commentaire) ! LOL

P@t
2009-05-02 23:12:55

Korben a écrit:

Excusez d'être assez nul sur le sujet mais j'ai bien regardé les 2 liens que tu as indiqués mais en fait je ne comprends toujours pas ce qu'il faut faire.
Auriez-vous une procédure exacte ?
Merci
J'ai vu aussi qu'il y a des modifs pour IE6, IE7 et IE8 !! Ne sachant pas quel version de navigateur sera utilisateurs pas les utilisateurs, les modifications apportées à Piwigo au niveau compatibilités des IE n'affectera pas les différentes versions ? En gros, les différentes modif ne vont pas supprimer l'utilisation des versions antérieures d'IE ??

Encore merci pour votre aide.

Piwigo est 100% compatible avec IE6, IE7, Firefox 2 et 3 , safari, etc... bref, il n'y a que IE8 qui coince pour le moment...

Korben
2009-05-02 23:12:40

Bon je me suis un peu amélioré là sur ce coup, je viens de faire les modifs que tu as indiqués dans ton lien (copier/coller du Template) et je l'ai mis directement dans la génération d'un Template dans l'Administration de Piwigo. Et maintenant ça fonctionne correctement.
Merci.
J'espère seulement que cela ne va pas affecté aussi les anciennes version de IE.

Korben
2009-05-02 23:04:36

Excusez d'être assez nul sur le sujet mais j'ai bien regardé les 2 liens que tu as indiqués mais en fait je ne comprends toujours pas ce qu'il faut faire.
Auriez-vous une procédure exacte ?
Merci
J'ai vu aussi qu'il y a des modifs pour IE6, IE7 et IE8 !! Ne sachant pas quel version de navigateur sera utilisateurs pas les utilisateurs, les modifications apportées à Piwigo au niveau compatibilités des IE n'affectera pas les différentes versions ? En gros, les différentes modif ne vont pas supprimer l'utilisation des versions antérieures d'IE ??

Encore merci pour votre aide.

Korben
2009-05-02 22:54:18

C'est IE8, je n'ai aps encore testé avec les autres versions. Mais je vais le faire.

gbo
2009-05-02 22:45:02
ddtddt
2009-05-02 22:24:50

Quel thème ?

Quelle version de IE ?

Korben
2009-05-02 21:23:47

Bonjour,

Toujours moi, je suis tjr au rendez-vous comme tjr. :-) :-)
Je reviens vers vous car je rencontre encore un petit pb.
L'affichage des photos dans leur catégorie se trouve décalée vers le bas.
Je précise que ce pb existe dans IE alors que dans Firefox il n'y a pas de pb.
Que dois-je faire pour le corriger svp ?
Merci encore pour votre aide.

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2022 · Contact